org.springframework.cloud.dataflow.server.service.impl

## Class AppDeploymentRequestCreator

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.AppDeploymentRequestCreator

-     public class AppDeploymentRequestCreator
      extends Object

  Create the list of `AppDeploymentRequest`s from a `StreamDefinition` and deployment properties map.
  Author:
    Eric Bottard, Mark Fisher, Patrick Peralta, Ilayaperumal Gopinathan, Marius Bogoevici, Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppDeploymentRequestCreator(AppRegistryService appRegistry, CommonApplicationProperties commonApplicationProperties, ApplicationConfigurationMetadataResolver metadataResolver, StreamDefinitionService streamDefinitionService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest>` | `createRequests(StreamDefinition streamDefinition, Map<String,String> streamDeploymentProperties, String platformType)` Create a list of `AppDeploymentRequest`s from the provided `StreamDefinition` and map of deployment properties.
    `List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest>` | `createUpdateRequests(StreamDefinition streamDefinition, Map<String,String> updateProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppDeploymentRequestCreator

          public AppDeploymentRequestCreator(AppRegistryService appRegistry,
                                             CommonApplicationProperties commonApplicationProperties,
                                             ApplicationConfigurationMetadataResolver metadataResolver,
                                             StreamDefinitionService streamDefinitionService)

  - ### Method Detail

    - #### createUpdateRequests

          public List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> createUpdateRequests(StreamDefinition streamDefinition,
                                                                                                             Map<String,String> updateProperties)

    - #### createRequests

          public List<org.springframework.cloud.deployer.spi.core.AppDeploymentRequest> createRequests(StreamDefinition streamDefinition,
                                                                                                       Map<String,String> streamDeploymentProperties,
                                                                                                       String platformType)

      Create a list of `AppDeploymentRequest`s from the provided `StreamDefinition` and map of deployment properties.
      Parameters:
        `streamDefinition` - the stream definition
        `streamDeploymentProperties` - the stream's deployment properties
      Returns:
        list of AppDeploymentRequests

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.